package inherit.joined.v1;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;

@Entity
@PrimaryKeyJoinColumn(name="id", referencedColumnName="id")
public class BankAccount extends BillingDetails {

   String bankName;
   @Column(nullable=false)
   public String getBankName() {return bankName;}
   public void setBankName(String bankName) {this.bankName = bankName;}
   
   String swiftcode;
   @Column(nullable=false)
   public String getSwiftcode() {return swiftcode;}
   public void setSwiftcode(String swiftcode) {this.swiftcode = swiftcode;}
   @Override
   public String toString() {
      return super.toString() + ", bankName=" + getBankName() +
            ", swiftcode=" + getSwiftcode();
   }

   protected BankAccount() {super();}
   public BankAccount(final String accountNumber, final String bankName, final String swiftCode){
      super(accountNumber);
      setBankName(bankName);
      setSwiftcode(swiftCode);
   }
}
